## ros-indigo-fanuc-lrmate200ic-support 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(fanuc_lrmate200ic_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES readme.md DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-fanuc-lrmate200ic-support (0.4.4-0trusty) trusty; urgency=high

  * add custom manifest tags to make package support level explicit.
  * for a complete list of changes see the commit log for 0.4.4 <https://github.com/ros-industrial/fanuc/compare/0.4.3...0.4.4>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jan 2018 23:00:00 -0000

ros-indigo-fanuc-lrmate200ic-support (0.4.3-0trusty) trusty; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.4.3 <https://github.com/ros-industrial/fanuc/compare/0.4.2...0.4.3>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 13 Oct 2017 22:00:00 -0000

ros-indigo-fanuc-lrmate200ic-support (0.4.2-0trusty) trusty; urgency=high

  * add 'flange' frame: attachment point for EEF xacro models (#213 <https://github.com/ros-industrial/fanuc/pull/213>).
  * use Jade+ xacro 'pi' constant instead of our own.
  * remove redundant urdfs, consumers should use xacro macros or top-level xacros.
  * add XML schema processing instruction (#200 <https://github.com/ros-industrial/fanuc/issues/200>).
  * migrate to in-order processing of xacros (supported on Indigo and up).
  * for a complete list of changes see the commit log for 0.4.2 <https://github.com/ros-industrial/fanuc/compare/0.4.1...0.4.2>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 May 2017 22:00:00 -0000

ros-indigo-fanuc-lrmate200ic-support (0.4.1-0trusty) trusty; urgency=high

  * use ``xacro`` instead of ``xacro.py`` (#195 <https://github.com/ros-industrial/fanuc/issues/195>).
  * remove roslaunch test dependencies (#185 <https://github.com/ros-industrial/fanuc/issues/185>).
  * for a complete list of changes see the commit log for 0.4.1 <https://github.com/ros-industrial/fanuc/compare/0.4.0...0.4.1>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 16 Jun 2016 22:00:00 -0000

ros-indigo-fanuc-lrmate200ic-support (0.4.0-0trusty) trusty; urgency=high

  * first Indigo release.
  * upgrade manifests to package format 2 (#115 <https://github.com/ros-industrial/fanuc/issues/115>).
  * general cleanup of XML files (launch, manifests, roslaunch tests, xacros).
  * add ROS Index tags to package manifests (#147 <https://github.com/ros-industrial/fanuc/issues/147>).
  * document launch file arguments (#165 <https://github.com/ros-industrial/fanuc/issues/165>).
  * use multi-arg install rule instead of for-loop.
  * use Roboguide colours for meshes where appropriate (#166 <https://github.com/ros-industrial/fanuc/issues/166>).
  * for a complete list of changes see the commit log for 0.4.0 <https://github.com/ros-industrial/fanuc/compare/0.3.2...0.4.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 10 Oct 2015 22:00:00 -0000

ros-indigo-fanuc-lrmate200ic-support (0.3.2-0trusty) trusty; urgency=high

  * add readmes to all packages (#153 <https://github.com/ros-industrial/fanuc/issues/153>).
  * for a complete list of changes see the commit log for 0.3.2 <https://github.com/ros-industrial/fanuc/compare/0.3.1...0.3.2>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 18 Apr 2015 22:00:00 -0000

ros-indigo-fanuc-lrmate200ic-support (0.3.1-0trusty) trusty; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.3.1 <https://github.com/ros-industrial/fanuc/compare/0.3.0...0.3.1>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 20 Jan 2015 23:00:00 -0000

ros-indigo-fanuc-lrmate200ic-support (0.3.0-0trusty) trusty; urgency=high

  * first Hydro release of this package.
  * promote experimental packages for M-10iA, M-16iB, M-20iA, M-430iA and LR Mate 200iC to main repository.
  * add info on specific config used for urdf/xacro (#26 <https://github.com/ros-industrial/fanuc/issues/26>).
  * explicitly declare dependencies of roslaunch tests (#70 <https://github.com/ros-industrial/fanuc/issues/70>).
  * update urdfs based on DH data (#54 <https://github.com/ros-industrial/fanuc/issues/54> and #63 <https://github.com/ros-industrial/fanuc/issues/63>).
  * add 'base' link (transform to World Coordinates) (#101 <https://github.com/ros-industrial/fanuc/issues/101>).
  * for a complete list of changes see the commit log for 0.3.0 <https://github.com/ros-industrial/fanuc/compare/0.2.0...0.3.0>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 07 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-fanuc-lrmate200ic-support
Section: misc
Priority: extra
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch (>= 1.9.55)
Homepage: http://wiki.ros.org/fanuc_lrmate200ic_support
Standards-Version: 3.9.2

Package: ros-indigo-fanuc-lrmate200ic-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-fanuc-driver, ros-indigo-fanuc-resources, ros-indigo-joint-state-publisher, ros-indigo-robot-state-publisher, ros-indigo-rviz, ros-indigo-xacro
Description: ROS-Industrial support for the Fanuc LR Mate 200iC (and variants).
 This package contains configuration data, 3D models and launch files for Fanuc LR Mate 200iC manipulators. This includes the base model (/5C, /5WP), /5H, /5L (/5LC), /5F and the /5HS. Variants in brackets are supported by the files for the referenced model. Specifications: LR Mate 200iC - &quot;J1 - Normal Range&quot; LR Mate 200iC/5H - &quot;J1 - Normal Range&quot; LR Mate 200iC/5L - &quot;J1 - Normal Range&quot; LR Mate 200iC/5F - &quot;J1 - Normal Range&quot; Joint limits and maximum joint velocities are based on the information in the FANUC Robot LR Mate 200iC Mechanical Unit Operator's Manual version B-82584EN/07. All urdfs are based on the default motion and joint velocity limits, unless noted otherwise (ie: no support for high speed joints, extended / limited motion ranges or other options). Before using any of the configuration files and / or meshes included in this package, be sure to check they are correct for the particular robot model and configuration you intend to use them with.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fanuc-lrmate200ic-support//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
